Jump to content
Not connected, Your IP: 35.170.81.210
Staff

Eddie Desktop 2.18beta released

Recommended Posts

5 hours ago, GJElde said:

not solved on openSUSE 15.1,
** (eddie-tray:964): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image


can't do anything with eddie anymore
had opened eddie with console, closing console brings eddie back and disconnect eddie and then I can close eddie
it happens after min and max screen eddie 


Updated to 2.18.3beta, and I still can't reproduce this with KDE 5.14.5 on Debian 11 "bullseye", specifically the min-max test. If you can't update your KDE version, please consider testing the workaround I posted before:
 
On 9/27/2019 at 8:09 PM, giganerd said:
  Quote
As root, edit /usr/share/themes/gtk-2.0/Breeze/gtkrc (or gtk-3.0/gtkrc?). Find the second occurrence of "../assets/line-h.png", in the "separator_menu_item" section, and comment out the "file" and "border" lines.

Four simple things:
There's a guide to AirVPN. Before you ask questions, take 30 minutes of your time to go through it.

Amazon IPs are not dangerous here. It's the fallback DNS.
Running TOR exits is discouraged. They're subject to restrictions on the internet and harm all AirVPN users.

Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, you'll be unique among the mass again.

 

XMPP: gigan3rd@xmpp.airvpn.org or join our lounge@conference.xmpp.airvpn.org

Share this post


Link to post
11 hours ago, Clodo said:

@Gaechka and @pjnsmb
I just installed a fresh Siduction Patience (download, install OS, install eddie.deb, run), connecting to a London server (same of you), all works.
Actually can't reproduce your issue, but this kind of error is priority for us.

Please:
- Download and extract the PORTABLE version (.tar.gz), and launch it (without connect). This will not touch your .deb installation and don't touch/use your standard profile.
- Go to Preferences -> Logging and enable both "Logging on file" and "Log debug".
- Connect (cause the issue)
- If crash, send here (or via ticket) the generated logs/*.log file.
Thanks!

Here's my log file: https://pastebin.com/5GMThCtw
I want to point this out again, that I have this issue with portable version, I haven't tried .deb installation, as you did in your description.

Share this post


Link to post
On 9/28/2019 at 1:02 PM, Clodo said:
 


@Clodo

As requested here is my log file after a crash


eddie_2019-09-29.logeddie_2019-09-29.log


W 2019.09.29 05:48:58 - 'Preferences > Networking > Layer IPv6' automatically switched to 'Block'.
F 2019.09.29 05:48:58 - Unexpected crash of elevated helper:Elevated communication closed
! 2019.09.29 05:48:58 - Connecting to Arion (United Kingdom of Great Britain and Northern Ireland, London)

 

Share this post


Link to post
10 hours ago, giganerd said:

Updated to 2.18.3beta, and I still can't reproduce this with KDE 5.14.5 on Debian 11 "bullseye", specifically the min-max test. If you can't update your KDE version, please consider testing the workaround I posted before:
 
i did updated to 2.18.3beta on openSUSE 15.1

don't now what to edit on this line, please help;

function        = HLINE
      file                = "../assets/line-h.png"
      border              = { 0, 0, 0, 0 }
      stretch             = TRUE

found it here /usr/share/themes/Breeze/gtk-2.0/widgets/default.
Note, Tumbleweed runs on virtualbox on my windows machine, and the HLINE is the same

 

default gtkrc

Share this post


Link to post

To catch-up on my previous post, I found some time to activate detailed logging... Here is the complete log-file of 2.18.3
 

 

hope it helps

Share this post


Link to post

Just downloaded lates beta version and it is working without asking for root password

sudo eddie-ui -H -cli -connect -netlock



My profile file is located here

/usr/lib/eddie-ui/default.profile



Now I can enjoy faster network lock and iptables rules apply. Thank you very much! All best.

Share this post


Link to post
15 hours ago, GJElde said:

i did updated to 2.18.3beta on openSUSE 15.1

don't now what to edit on this line, please help;

function        = HLINE
      file                = "../assets/line-h.png"
      border              = { 0, 0, 0, 0 }
      stretch             = TRUE

found it here /usr/share/themes/Breeze/gtk-2.0/widgets/default.
Note, Tumbleweed runs on virtualbox on my windows machine, and the HLINE is the same


I think the relevant file is /usr/share/themes/Breeze/gtk-2.0/widgets/menu. At the end there's the mentioned separator_menu_item with border = { 1, 1, 1, 1 } in my case. If it is not for you, change the 0s to 1s, if yes, try comments. The whole file seems to be written in a C-like syntax, so // before the file and border lines might do.

Four simple things:
There's a guide to AirVPN. Before you ask questions, take 30 minutes of your time to go through it.

Amazon IPs are not dangerous here. It's the fallback DNS.
Running TOR exits is discouraged. They're subject to restrictions on the internet and harm all AirVPN users.

Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, you'll be unique among the mass again.

 

XMPP: gigan3rd@xmpp.airvpn.org or join our lounge@conference.xmpp.airvpn.org

Share this post


Link to post
@Maggie144, @pjnsmb, @Gaechka  : i received your logs, thanks.  A release with fixes of this issues is planned in two or three days, please wait. Thanks again.

Share this post


Link to post
11 hours ago, amilino said:

Just downloaded lates beta version and it is working without asking for root password


sudo eddie-ui -H -cli -connect -netlock

 


Linux, terminal, right?
1- You can just download the "CLI" version, and run "sudo eddie-cli -connect  -netlock"
2- What is -H ?

Share this post


Link to post
14 hours ago, giganerd said:

I think the relevant file is /usr/share/themes/Breeze/gtk-2.0/widgets/menu. At the end there's the mentioned separator_menu_item with border = { 1, 1, 1, 1 } in my case. If it is not for you, change the 0s to 1s, if yes, try comments. The whole file seems to be written in a C-like syntax, so // before the file and border lines might do.
looks fine.....
version off breeze 5.12.8
don't understand what to do next?
Thank so far

menu

Share this post


Link to post
5 hours ago, Clodo said:

Linux, terminal, right?
1- You can just download the "CLI" version, and run "sudo eddie-cli -connect  -netlock"
2- What is -H ?
It actually works without -H. :) I copied it from someone in this topic.

Share this post


Link to post

Sometimes network lock is causing some issues, so I delete netlock_iptables_backup_ipv4.txt and netlock_iptables_backup_ipv6.txt files before starting connection. I will automate this in my script where I start connection with cli argument.

Share this post


Link to post

Just updated to beta 2.18.3 and can't connect at all anymore on MacOS 10.14.6.

Eddie runs fine, I can login to Air ok, but any server just disconnects right away with the message 
OpenVPN: Error: Unknown Command

Tried deleting my profile, that didnt help, tried running it from the console, but the console just showed the same 'Unknown Command' error as well. 
Trying to find where I put 2.18.2 so I can sign back in hah.

Share this post


Link to post
7 hours ago, Monotremata said:

Just updated to beta 2.18.3 and can't connect at all anymore on MacOS 10.14.6.

Eddie runs fine, I can login to Air ok, but any server just disconnects right away with the message 
OpenVPN: Error: Unknown Command

Tried deleting my profile, that didnt help, tried running it from the console, but the console just showed the same 'Unknown Command' error as well. 
Trying to find where I put 2.18.2 so I can sign back in hah.


You and @Maggie144 have the same error.
My suspect is that: when you have 2.18.2, you enable launchd service. After, you download the 2.18.3 (what version? dmg? tar.gz?) and... replace the old 2.18.2 in /Application? or run from another path?
Please try to disable launchd, exit from Eddie, relaunch Eddie, re-enable launchd.
In any case it's a bug, will be fixed in 2.18.4.

Share this post


Link to post

Ahh I was wondering if that had anything to do with it. I DO have the launchd enabled and it seems like it wasn't even affected by the upgrade haha. I tried the DMG at first but then figured it was leaving something hanging around and tried to the pkg but it didnt get rid of it either. Ill try that right now hehe.

EDIT: Yep that worked! Disabled launchd, installed the new one, now Im connected! New client has been working GREAT too by the way. I still don't even notice its even here unless it gets disconnected for some random reason (like last night all the LA servers had a hiccup around 7:45PST and kicked everybody out). 

Share this post


Link to post

openSUSE 15.1
For the time being from Breeze, to Oxygen.
See if it goes better with Eddie.
Another thing, I have Skype and Eddie on page 2.
If Eddie is active I don't see the start menu, if Skype is active it is visible, that is also strange?

Share this post


Link to post
On 9/28/2019 at 4:16 PM, GJElde said:

not solved on openSUSE 15.1,
** (eddie-tray:964): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image

 

Found something: https://bugs.kde.org/show_bug.cgi?id=404045


update:
pity eddie is still freezing, but no message left in the console: ** (eddie-tray: 964): WARNING **: Invalid borders specified for theme pixmap:
         /usr/share/themes/Breeze/gtk-2.0/../assets/line-h.png,
borders don't fit within the image


now search the extra installed themes, have removed glassified.
one might not work well with plasma 5
 

Share this post


Link to post
5 hours ago, GJElde said:

Good job, there's a workaround.

In the same file I identified (the menu one) change the borders to { 0, 0, 0, 0 }. Shouldn't be too difficult. :)

Four simple things:
There's a guide to AirVPN. Before you ask questions, take 30 minutes of your time to go through it.

Amazon IPs are not dangerous here. It's the fallback DNS.
Running TOR exits is discouraged. They're subject to restrictions on the internet and harm all AirVPN users.

Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, you'll be unique among the mass again.

 

XMPP: gigan3rd@xmpp.airvpn.org or join our lounge@conference.xmpp.airvpn.org

Share this post


Link to post

I installed version 2.18.3beta on a MacBook Air with Mojave 10.14.6.

It works well, but no server gets 5 stars (no matter if if it's for speed or latency). Right away the best one has 4, the others have 3 or less. I can't tell if it's a bug or a feature.

Because the score is very different from the one I get on my other computer using 2.16.3, I switched back to  2.16.3. Unfortunately, all my settings and infos were lost and it didn't accept my name and password stating it was wrong.

I went back to 2.18.3beta and, beside the star bug/feature I mentioned, it works.

Share this post


Link to post
20 hours ago, giganerd said:

Good job, there's a workaround.

In the same file I identified (the menu one) change the borders to { 0, 0, 0, 0 }. Shouldn't be too difficult. :)
I already did, but today again freezing Eddie.
Had to kill mono.
Continue searching, maybe update kde via repositories.

maby this the problem, just before freezing Eddie.
2019-10-02T05:54:51.178698+02:00 linux-7dyz kwin_x11[2869]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 20102, resource id: 31458000, major code: 18 (ChangeProperty), minor code: 0
2019-10-02T05:54:51.189185+02:00 linux-7dyz kwin_x11[2869]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 20103, resource id: 31457294, major code: 15 (QueryTree), minor code: 0
2019-10-02T05:54:51.189449+02:00 linux-7dyz kwin_x11[2869]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 20126, resource id: 31457321, major code: 15 (QueryTree), minor code: 0

update:
did update kde etc. but Eddie still freezing .
go back now to original 15.1.
don't now where to look.......

back to 2.13.6 Eddie, that's working fine on openSUSE 15.1

Share this post


Link to post
On 9/21/2019 at 12:24 PM, Atomas said:

On Mac OS 10.14.6,  I can not start Eddy 2 .18.2, I get the message that I do not have the higher permissions to have access to Eddy's login. I tried with the root user and I have the same message. I tried to modify Eddy's permissions directly on Eddy by (read the information-permissions) and I lost full access to my user accounts. Fortunately I had made a backup on Time Machine before. Uninstalling Eddy 2.17.2 by deleting the default file, does not fix the problem. I reset my account permission and reinstalling 2.17.2, everything works fine again on that version, but it’s impossible with 2.18.2 .

After several tries, I can now start Eddy 2.18.3. However, I can not activate Network Lock, I receive the following message:
Exception: Rules not loaded
Eddy starts all the same and I have to put my login password each time, he does not save the Remember option. Afterwards for the connection, I still have the message: Rules not loaded. I can connect but can not use Network Lock.

Share this post


Link to post

Version 2.18.4 (Wed, 02 Oct 2019 18:20:00 +0000)

  • [bugfix] OpenVPN > Error: Not supported OpenVPN config
  • [bugfix] Linux - Crash "Unexpected crash of elevated helper:Elevated communication closed" during IPv6 block, if IPv6 not available
  • [bugfix] macOS - Autorestart service if upgraded, avoid error "unknown command"
  • [bugfix] Enforce Elevated compatibility check
  • [change] macOS - KeepAlive in launchd
  • [change] Minor changes
  • [new] New deploy/build scripts
MacOS users:
if, when launched, it throws "Unable to obtain elevated privileges (required): Unexpected elevated version mismatch" open a terminal and launch the following commands:
sudo launchctl unload /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist
sudo rm /Library/LaunchDaemons/org.airvpn.eddie.ui.elevated.plist

After that, re-enable launchd daemon service in Preferences if you want. This issue is related ONLY to a previous bug, it will not happen anymore.

Share this post


Link to post
4 hours ago, Atomas said:
After several tries, I can now start Eddy 2.18.3. However, I can not activate Network Lock, I receive the following message:
Exception: Rules not loaded

1- Download the latest 2.18.4 version
2- Launch, Preferences -> Log -> Enable "Log Debug".
3- Exit and relaunch Eddie
4- When you hit the error, copy the logs to me with a direct message, or write here, or open a ticket. Thanks.
 
4 hours ago, Atomas said:
Eddy starts all the same and I have to put my login password each time, he does not save the Remember option.

? you mean the AirVPN password, or your OS password?

Share this post


Link to post

I have an explanation the login/password problem that happened when switching back to Eddie 2.16.3 under OS X Mojave.

Eddie 2.16.3 seems to have an intl keyboard mapping problem. I'm using a french OS and Eddie doesn't take it account. I realised it when I typed "Command-A" for "Select all" and Eddie asked if I really wanted to exit, as if I had typed "Command-Q".
Typing my password as if my keyboard was QWERTY (it's AZERTY) worked  alright.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...